org.apache.jmeter.protocol.http.sampler

## Class JMeterClientConnectionOperator

- java.lang.Object
- - org.apache.http.impl.conn.DefaultClientConnectionOperator
  - - org.apache.jmeter.protocol.http.sampler.JMeterClientConnectionOperator

- All Implemented Interfaces:
    org.apache.http.conn.ClientConnectionOperator

      public class JMeterClientConnectionOperator
      extends org.apache.http.impl.conn.DefaultClientConnectionOperator

  Custom implementation of `DefaultClientConnectionOperator` to fix SNI Issue
  Since:
    3.0 TODO Remove it when full upgrade to 4.5.X is done and cleanup is made in the Socket Factory of JMeter that handles client certificates and Slow socket
  See Also:
    "https://bz.apache.org/bugzilla/show_bug.cgi?id=57935"

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.conn.DefaultClientConnectionOperator

      `dnsResolver, schemeRegistry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMeterClientConnectionOperator(org.apache.http.conn.scheme.SchemeRegistry schemes)`
    `JMeterClientConnectionOperator(org.apache.http.conn.scheme.SchemeRegistry schemes, org.apache.http.conn.DnsResolver dnsResolver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.conn.OperatedClientConnection` | `createConnection()`

    - ### Methods inherited from class org.apache.http.impl.conn.DefaultClientConnectionOperator

      `openConnection, prepareSocket, resolveHostname, updateSecureConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMeterClientConnectionOperator

          public JMeterClientConnectionOperator(org.apache.http.conn.scheme.SchemeRegistry schemes)

      Parameters:
        `schemes` - the scheme registry

    - #### JMeterClientConnectionOperator

          public JMeterClientConnectionOperator(org.apache.http.conn.scheme.SchemeRegistry schemes,
                                                org.apache.http.conn.DnsResolver dnsResolver)

      Parameters:
        `schemes` - the scheme registry
        `dnsResolver` - the custom DNS lookup mechanism

  - ### Method Detail

    - #### createConnection

          public org.apache.http.conn.OperatedClientConnection createConnection()

      Specified by:
        `createConnection` in interface `org.apache.http.conn.ClientConnectionOperator`
      Overrides:
        `createConnection` in class `org.apache.http.impl.conn.DefaultClientConnectionOperator`

Copyright © 1998-2017 Apache Software Foundation. All Rights Reserved.